using System.ComponentModel.DataAnnotations;
using Siger.Middlelayer.Common.ModuleEnum;

namespace Siger.Middlelayer.ToolRepository.Request
{
    public class RequestAutoStudySwitch
    {
        [Required(ErrorMessage= "MachineIDNotNull")]
        public int machine_id { get; set; }
        [Required(ErrorMessage = "SpindleNameNotNull")]
        public string spindle_name { get; set; }
        [Required(ErrorMessage = "ProgramNoNotNull")]
        public string program_no { get; set; }
        [Required(ErrorMessage = "AutoStudyNotNull")]
        public AutoStudy check_status { get; set; }
    }
}
